package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFID3 extends MwfRequest<MWFID3, MWFID3Response> {

    @Parameter(name = "BUS_NAME_IN")
    MWFID3 busNameIn(String busNameIn);
    @Parameter(name = "LIMIT_REC_CNT")
    MWFID3 limitRecCnt(Long limitRecCnt);
    @Parameter(name = "SEARCH_FOP_FLAG")
    MWFID3 searchFopFlag(Long searchFopFlag);
    @Parameter(name = "SEARCH_PO_FLAG")
    MWFID3 searchPoFlag(Long searchPoFlag);
}
